%define module  IPC-Cmd
%define name    perl-%{module}
%define version 0.40
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Finding and running system commands made easy
License:        GPL or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/IPC/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:  perl-devel
%endif
Buildrequires:  perl(Module::Load::Conditional)
Buildrequires:  perl-version
Buildarch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
IPC::Cmd allows you to run commands, interactively if desired, platform
independent but have them still work.

The can_run function can tell you if a certain binary is installed and if so
where, whereas the run function can actually execute any of the commands you
give it and give you a clear return value, as well as adhere to your verbosity
settings.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/IPC
%{_mandir}/*/*




%changelog
* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.40-1mdv2008.1
+ Revision: 104498
- update to new version 0.40

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.38-1mdv2008.1
+ Revision: 97658
- update to new version 0.38


* Tue Nov 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.36-1mdv2007.0
+ Revision: 87852
- new version

* Thu Nov 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-1mdv2007.1
+ Revision: 86576
- new revision

* Wed Nov 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.25-1mdv2007.1
+ Revision: 84468
- Import perl-IPC-Cmd

* Sat Sep 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.25-1mdv2007.0
- new version
- fix sources URL

* Fri Sep 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.24-2mdv2007.0
- Rebuild

* Mon Apr 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.24-1mdk
- first mdk release

